_:

{
  networking = {
    useNetworkd = true;
    useDHCP = false;

    nftables.enable = true;
    firewall.allowedUDPPorts = [ 67 ];
  };

  systemd.network = {
    networks = {
      "10-eno1" = {
        name = "eno1";
        networkConfig = {
          VLAN = [
            "vlan-admin"
            "vlan-uplink-oob"
          ];

          LinkLocalAddressing = false;
          LLDP = false;
          EmitLLDP = false;
          IPv6AcceptRA = false;
          IPv6SendRA = false;
        };
        # address = [ "192.168.222.1/24" ];
      };

      "10-vlan-admin" = {
        name = "vlan-admin";
        # DHCP for the BMC
        networkConfig.DHCPServer = "yes";

        dhcpServerConfig = {
          PoolOffset = 128;
          EmitDNS = false;
          EmitNTP = false;
          EmitSIP = false;
          EmitPOP3 = false;
          EmitSMTP = false;
          EmitLPR = false;
          UplinkInterface = ":none";
        };

        address = [
          "fd26:baf9:d250:8000::ffff/64"
          "192.168.222.1/24"
        ];
      };

      "10-vlan-uplink-oob" = {
        name = "vlan-uplink-oob";
        networkConfig.DHCP = "ipv4";
      };
    };

    netdevs = {
      "10-vlan-admin" = {
        netdevConfig = {
          Name = "vlan-admin";
          Kind = "vlan";
        };

        vlanConfig.Id = 3000;
      };

      "10-vlan-uplink-oob" = {
        netdevConfig = {
          Name = "vlan-uplink-oob";
          Kind = "vlan";
        };

        vlanConfig.Id = 500;
      };
    };
  };
}
