{
  config,
  sources,
  nixpkgs,
  ...
}:
{
  imports = [ (import (sources.signal-irc-bridge.outPath + "/module.nix")) ];

  services.signal-irc-bridge = {
    enable = true;
    package = nixpkgs.unstable.callPackage (sources.signal-irc-bridge.outPath + "/package.nix") { };
    configFile = config.age.secrets."signal-irc-bridge-config".path;
  };

  services.nginx.virtualHosts."bridge.dgnum.eu" = {
    forceSSL = true;
    enableACME = true;
    locations."/files/".alias = "/var/lib/signal-irc/hermes-media/";
  };
  users.users.nginx.extraGroups = [ "signal-irc" ];
}
